Skip to content

List all users

Request

Returns the people at the organization’s customers who use its product, by name, with how they use each product

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
Query
offsetinteger, [ 0 .. 9007199254740991 ]
Default:0
limitinteger, ( 0 .. 250 ]
Default:100
scopestring(ScopeInput)

All will return all visible customers. Team will restrict this to those where your team members (members under a shared manager) are assigned a role on the customer. Mine will only return customers you are assigned a role to on the customer.

Default:"all"
Enum:"mine""team""all"
curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/users?offset=0&limit=100&scope=all' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
itemsArray of objects(User)required
totalCountnumberrequired
Response
{ "items": [ { … } ], "totalCount": 0 }